Loading...
Searching...
No Matches
oval_set.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`
Include dependency graph for oval_set.c:

## Data Structures

struct | oval_setobject
| OVAL set object. More...
struct | oval_set_AGGREGATE
struct | oval_set_COLLECTIVE
struct | oval_set_context

## Typedefs

typedef struct oval_setobject | oval_set_t
typedef struct oval_set_AGGREGATE | oval_set_AGGREGATE_t
typedef struct oval_set_COLLECTIVE | oval_set_COLLECTIVE_t

## Functions

bool | oval_setobject_iterator_has_more (struct oval_setobject_iterator *oc_set)
struct oval_setobject * | oval_setobject_iterator_next (struct oval_setobject_iterator *oc_set)
void | oval_setobject_iterator_free (struct oval_setobject_iterator *oc_set)
oval_setobject_type_t | oval_setobject_get_type (struct oval_setobject *set)
oval_setobject_operation_t | oval_setobject_get_operation (struct oval_setobject *set)
struct oval_setobject_iterator * | oval_setobject_get_subsets (struct oval_setobject *set)
struct oval_object_iterator * | oval_setobject_get_objects (struct oval_setobject *set)
struct oval_filter_iterator * | oval_setobject_get_filters (struct oval_setobject *set)
struct oval_setobject * | oval_setobject_new (struct oval_definition_model *model)
struct oval_setobject * | oval_setobject_clone (struct oval_definition_model *new_model, struct oval_setobject *old_setobject)
void | oval_setobject_free (struct oval_setobject *set)
void | oval_setobject_set_type (struct oval_setobject *set, oval_setobject_type_t type)
void | oval_setobject_set_operation (struct oval_setobject *set, oval_setobject_operation_t operation)
void | oval_setobject_add_subset (struct oval_setobject *set, struct oval_setobject *subset)
void | oval_setobject_add_object (struct oval_setobject *set, struct oval_object *object)
void | oval_setobject_add_filter (struct oval_setobject *set, struct oval_filter *filter)
int | oval_set_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_set_consumer consumer, void *user)
xmlNode * | oval_set_to_dom (struct oval_setobject *set, xmlDoc *doc, xmlNode *parent)
void | oval_set_propagate_filters (struct oval_definition_model *model, struct oval_setobject *set, char *set_id)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/